
	subroutine DOTP(x1,x2,dp,ang)

C Given two vectors x1, x2 returns dot product (dp) and angle
C between vectors (in degrees)

	implicit none

	integer i
	double precision x1(3),x2(3),dp,n1(3),n2(3),dp2,ang
	double precision pi,dr,rd

	pi=3.141592654
	dr=pi/180.0d0
	rd=1/dr	

	

	call NORM(x1,n1)
	call NORM(x2,n2)

	dp=0.0d0
	dp2=0.0d0

	do i=1,3
	  dp=dp+x1(i)*x2(i)
	 dp2=dp2+n1(i)*n2(i)
	end do

	dp2=dmin1(dmax1(dp2,-1.0d0),1.0d0)
	
	ang=rd*dacos(dp2)

	return
	end
