
C*SOLVE
C+
      SUBROUTINE SOLVE(Y,X)
      DOUBLE PRECISION Y, X
C-----------------------------------------------------------------------
      DOUBLE PRECISION XP,YU,YL,YN
      IF (1.-X.LT.1.0E-7) GO TO 30
      Y=1.
2     XP=(1+Y)*DEXP(-Y)
      IF (XP.LT.X) GO TO 10
          Y=Y*2.
          GO TO 2
10    YU=Y
      YL=Y/2.
      IF (Y.EQ.1.) YL=1.0E-4
15    YN=SQRT(YU*YL)
      XP=(1.+YN)*DEXP(-YN)
      IF (ABS(X-XP).LT.1.E-5) GO TO 20
          IF (XP.LT.X) YU=YN
          IF (XP.GT.X) YL=YN
          GO TO 15
20    Y=YN
      RETURN
30    Y=0.
      RETURN
      END
