

C                         
C Define array dimension constants
C                         
      INTEGER NORBMAX, NOBSMAX, NORBBLKMAX, NGRTBLKMAX, NTELMAX
      INTEGER NPRTYPMAX, NBANDMAX, NCLASSMAX, NSRCMAX, NSUBPRMAX
      INTEGER NGRTMAX, NBANDMAX4, NSUBBLKMAX, NONBLKSMAX
      INTEGER NSTBANDMAX, NPROGOBSMAX, NMAXIMMAX, NBANDCLASSMAX
      INTEGER NSTLISTMAX, NSTLISTMAX1, NFAKEFLAGSMAX, NDUTYMAX
      INTEGER TWONDUTYMAX
      INTEGER NARRAYMAX, NTAPETYPEMAX, NTAPETYPEMAX4, NSTTAPETYPEMAX
      INTEGER NTURNMAX, NTURNMAX3,  NTAPESMAX, NDAYMAX
C                         
      PARAMETER  (NDAYMAX=370)
C      PARAMETER  (NDAYMAX=100)
C                         
      PARAMETER  (NORBMAX=2)
      PARAMETER  (NOBSMAX=1500)
      PARAMETER  (NORBBLKMAX=NDAYMAX)
      PARAMETER  (NGRTBLKMAX=6*NDAYMAX)
C                         
      PARAMETER  (NTELMAX=7)
      PARAMETER  (NPRTYPMAX=9)
      PARAMETER  (NBANDMAX=5)
      PARAMETER  (NCLASSMAX=4)
      PARAMETER  (NSRCMAX=1500)
      PARAMETER  (NSUBPRMAX=10)
      PARAMETER  (NGRTMAX=45)
      PARAMETER  (NBANDMAX4=NBANDMAX-4)
C                         
      PARAMETER  (NSUBBLKMAX=4*24*NDAYMAX)
C                         
      PARAMETER  (NONBLKSMAX=NSUBBLKMAX*NGRTMAX)

!     PARAMETER  (NARRAYMAX=5)
!     PARAMETER  (NTAPETYPEMAX=5)

      PARAMETER  (NARRAYMAX=7)
      PARAMETER  (NTAPETYPEMAX=7)

      PARAMETER  (NTAPETYPEMAX4=NTAPETYPEMAX-4)
      PARAMETER  (NSTBANDMAX=10)
      PARAMETER  (NSTTAPETYPEMAX=10)
      PARAMETER  (NTURNMAX=4)
      PARAMETER  (NTURNMAX3=NTURNMAX-3)
      PARAMETER  (NPROGOBSMAX=1)        ! Don't yet do monitoring
      PARAMETER  (NMAXIMMAX=2)
      PARAMETER  (NBANDCLASSMAX=NBANDMAX*NCLASSMAX)
      PARAMETER  (NSTLISTMAX=45)
      PARAMETER  (NSTLISTMAX1=NSTLISTMAX-1)
      PARAMETER  (NFAKEFLAGSMAX=10)
      PARAMETER  (NDUTYMAX=2)
      PARAMETER  (TWONDUTYMAX=2*NDUTYMAX)
      PARAMETER  (NTAPESMAX=1000)
C                         
C Define KEYIN constants
C                         
      INTEGER    NGPARS, NSPARS, NPPARS, INC, OUTC, OUTSCH, OUTCOM
      PARAMETER  (NGPARS=
     1  38+2*NBANDMAX+NCLASSMAX+NBANDCLASSMAX+NFAKEFLAGSMAX+
     2  2*NTAPETYPEMAX+NTURNMAX)
      PARAMETER  (NSPARS=14+TWONDUTYMAX+NTELMAX+NSTLISTMAX)
      PARAMETER  (NPPARS=9+2*NSRCMAX+4*NCLASSMAX)
      PARAMETER  (INC=5)        ! unit for input
      PARAMETER  (OUTC=6)       ! unit for output
      PARAMETER  (OUTSCH=8)      ! intended unit for output schedule
      PARAMETER  (OUTCOM=9)      ! intended unit for output command file
C                         
C Define angle conversion constants
C                         
      DOUBLE PRECISION PI,TWOPI,RPDEG,DEGPR,RPASEC,RPSST,RPH,HPR
      PARAMETER  (PI=3.141592653589793 D0)
      PARAMETER  (TWOPI=2D0*PI)
      PARAMETER  (RPDEG=PI/180.D0)
      PARAMETER  (DEGPR=180.D0/PI)
      PARAMETER  (RPASEC=PI/648000 D0)
      PARAMETER  (RPSST=PI/43200 D0)
      PARAMETER  (RPH=PI/12D0)
      PARAMETER  (HPR=12D0/PI)
C                         
C Define other floating point parameters specific to this program
C                         
      DOUBLE PRECISION DTSUBBLK, VELC, DIAM_ARECIBO, DIAM_BONN
      PARAMETER  (DTSUBBLK=900D0/86400D0)
      PARAMETER  (VELC=2.99792458D8)
      PARAMETER  (DIAM_ARECIBO=305D0)
      PARAMETER  (DIAM_BONN=100D0)
C                         
C Define commentary constants
C                         
      INTEGER NO_COMMENT, SAT_NOT_AVAIL, LAST_BLK_NOT_SCHED
      INTEGER POORLY_RATED, POOR_GRT_COVERAGE, DIDNT_ASK_FOR_GRTS
      INTEGER NOT_MIN_GRT_RQMTS, NOT_ENOUGH_GRTS_ON, NOT_ENOUGH_GRTS
      INTEGER SCHED_IN_ANOTHER_BLK, SCHED_ANOTHER_OBS, BAD_SLEW_TIME
      INTEGER BAD_STRT_STOP_TIMES, FEW_TELEM_SEE_SAT, SOL_AVOID_NOT_MET
      INTEGER ANTISOL_AVOID_NOT_MET
      INTEGER LUN_AVOID_NOT_MET, SAT_NOT_SEE_EARTH, SAT_SEE_LITTLE_EARTH
      INTEGER POOR_UV_COVERAGE, SHORT_MAX_BASELINE, NO_TELEM_SEE_SAT
      INTEGER SAT_NOT_SEE_TELEM, SAT_IN_ECLIPSE
      INTEGER NCOMMAX
C                         
      PARAMETER  (NO_COMMENT=0)
      PARAMETER  (BAD_STRT_STOP_TIMES=1)
      PARAMETER  (FEW_TELEM_SEE_SAT=2)
      PARAMETER  (SAT_NOT_AVAIL=3)
      PARAMETER  (LAST_BLK_NOT_SCHED=4)
      PARAMETER  (POORLY_RATED=5)
      PARAMETER  (SOL_AVOID_NOT_MET=6)
      PARAMETER  (ANTISOL_AVOID_NOT_MET=7)
      PARAMETER  (LUN_AVOID_NOT_MET=8)
      PARAMETER  (SAT_NOT_SEE_EARTH=9)
      PARAMETER  (SAT_SEE_LITTLE_EARTH=10)
      PARAMETER  (POOR_UV_COVERAGE=11)
      PARAMETER  (SHORT_MAX_BASELINE=12)
      PARAMETER  (POOR_GRT_COVERAGE=13)
      PARAMETER  (DIDNT_ASK_FOR_GRTS=14)
      PARAMETER  (NOT_MIN_GRT_RQMTS=15)
      PARAMETER  (NOT_ENOUGH_GRTS_ON=16)
      PARAMETER  (NOT_ENOUGH_GRTS=17)
      PARAMETER  (SCHED_IN_ANOTHER_BLK=18)
      PARAMETER  (SCHED_ANOTHER_OBS=19)
      PARAMETER  (BAD_SLEW_TIME=20)
      PARAMETER  (NO_TELEM_SEE_SAT=21)
      PARAMETER  (SAT_NOT_SEE_TELEM=22)
      PARAMETER  (SAT_IN_ECLIPSE=23)
      PARAMETER  (NCOMMAX=SAT_IN_ECLIPSE)
      
      
! dwm 14-Jan-98

        INTEGER NSUNAVOIDMAX

	PARAMETER  (NSUNAVOIDMAX=10)



