C*CTRLCEN -- prepare to trap interrupt signal [Convex-UNIX]
C+
      SUBROUTINE CTRLCEN
C
C CTRLCEN and CTRLCAST are Fortran routines that let you set up a
C Control-C handling facility.
C
C Call CTRLCEN to enable the next control-C typed on the keyboard
C to activate the CTRLCAST AST handler.  CTRLCAST sets the common
C flag CCFLAG in common /CONTROLC/, which may be tested by your
C program.
C
C You must call CTRLCEN each time you want to allow a control-C input.
C
C These programs do not affect the handling of control-Y.
C
C 25-Jul-1988 - test version for Convex [TJP].
C-----------------------------------------------------------------------
      EXTERNAL CTRLCAST
      INTEGER SIGNAL
      LOGICAL*1 CCFLAG
      COMMON /CONTROLC/ CCFLAG
C
      CCFLAG = .FALSE.
C VP SIGNAL(2, CTRLCAST,-1)
      IER = SIGNAL(2, CTRLCAST)
      END

      SUBROUTINE CTRLCAST
      LOGICAL*1 CCFLAG
      COMMON /CONTROLC/ CCFLAG
C
      IF (.NOT.CCFLAG) THEN
          CCFLAG = .TRUE.
          WRITE (0, '(/A/)') '*INTERRUPT*'
      END IF
      END
